unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, ExtCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Memo1: TMemo;
    MaskEdit1: TMaskEdit;
  //  procedure Button1Click(Sender: TObject);
    procedure Memo1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//procedura dziala dla komponentow pochodnych od klasy TCustomEdit
// np. TMemo, TEdit,TMaskEdit jesli zostala podpieta pod obsluge
//zdarzenia OnDoubleClick dla tych komponentow
procedure TForm1.Memo1DblClick(Sender: TObject);
begin
  if (Sender is TCustomEdit) then
    (Sender as TCustomEdit).Clear;
end;


end.
